{
  lib,
  config,
  pkgs,
  ...
}:
let
  cfg = config.alqueva.programs.mako;

  inherit (lib.options) mkEnableOption mkPackageOption;
  inherit (lib.modules) mkIf;
in
{
  options.alqueva.programs.mako = {
    enable = mkEnableOption "mako";
    package = mkPackageOption pkgs "mako" { };
  };

  config = mkIf cfg.enable {
    environment.systemPackages = [ cfg.package ];
    systemd.packages = [ cfg.package ];
  };
}
